After February 20th 2018, all embed and API requests to strawpoll.me must use a secure connection (https).

Eloth?

Yay 36

Nay 9

45 Votes

0 Comments

Vote